package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.HealthDiseaseCauseDao;
import com.huimv.management.entity.HealthDiseaseCauseEntity;
import com.huimv.management.service.HealthDiseaseCauseService;


@Service("healthDiseaseCauseService")
public class HealthDiseaseCauseServiceImpl extends ServiceImpl<HealthDiseaseCauseDao, HealthDiseaseCauseEntity> implements HealthDiseaseCauseService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<HealthDiseaseCauseEntity> page = this.page(
                new Query<HealthDiseaseCauseEntity>().getPage(params),
                new QueryWrapper<HealthDiseaseCauseEntity>()
        );

        return new PageUtils(page);
    }

}